CUDPPResult
Date: 2010-04-21

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jcuda.jcudpp
Class CUDPPResult

    java.lang.Object
      jcuda.jcudpp.CUDPPResult

    public class CUDPPResult

extends java.lang.Object

CUDPP Result codes returned by CUDPP API functions.

Field Summary
`static int` | `CUDPP_ERROR_ILLEGAL_CONFIGURATION` Specified configuration is illegal.
`static int` | `CUDPP_ERROR_INVALID_HANDLE` Specified handle (for example, to a plan) is invalid.
`static int` | `CUDPP_ERROR_UNKNOWN` Unknown or untraceable error.
`static int` | `CUDPP_SUCCESS` No error.
`static int` | `JCUDPP_INTERNAL_ERROR` Internal JCudpp error

Method Summary
`static java.lang.String` | `stringFor(int result)` Returns the String representation of the given result

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CUDPP_SUCCESS

    public static final int CUDPP_SUCCESS

  No error.

  See Also:
    Constant Field Values

### CUDPP_ERROR_INVALID_HANDLE

    public static final int CUDPP_ERROR_INVALID_HANDLE

  Specified handle (for example, to a plan) is invalid.

  See Also:
    Constant Field Values

### CUDPP_ERROR_ILLEGAL_CONFIGURATION

    public static final int CUDPP_ERROR_ILLEGAL_CONFIGURATION

  Specified configuration is illegal. For example, an invalid or illogical combination of options.

  See Also:
    Constant Field Values

### CUDPP_ERROR_UNKNOWN

    public static final int CUDPP_ERROR_UNKNOWN

  Unknown or untraceable error.

  See Also:
    Constant Field Values

### JCUDPP_INTERNAL_ERROR

    public static final int JCUDPP_INTERNAL_ERROR

  Internal JCudpp error

  See Also:
    Constant Field Values

Method Detail

### stringFor

    public static java.lang.String stringFor(int result)

  Returns the String representation of the given result

  Parameters:
    `result` - The result
  Returns:
    The String representation of the given result

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD